/*
*  This script defines functions used by Options window
*
* Author: Stéphane BERTIN
* http://bookmarkdd.mozdev.org
*
*/


// Function used to synchronise Menu with User's preferences
// It is executed when Options.xul Unload and when Firefox Load (duplicates.xul eventListener)
function VerifyMenuItemStatus() {
    var wm = Components.classes["@mozilla.org/appshell/window-mediator;1"]
		.getService(Components.interfaces.nsIWindowMediator);
    var enumerator = wm.getEnumerator("");

    while(enumerator.hasMoreElements()) {
	// |win| is [Object ChromeWindow] (just like |window|), do something with it
	var win = enumerator.getNext();

	// Verify if BookmarksMenu's hidden property is synchronised with UserPrefs
	var BookmarksMenu=win.document.getElementById("BookmarkDD-context-menu");
	if(BookmarksMenu) {
	    if(!UserPrefs.getPref("bool","BookmarksMenu.addLink")) {
		BookmarksMenu.setAttribute('hidden',true);
	    } else {
		BookmarksMenu.setAttribute('hidden',false);
	    }
	}

	// Verify if ToolsMenu's hidden property is synchronised with UserPrefs
	var ToolsMenu=win.document.getElementById("BookmarkDD-PanelLink");
	if(ToolsMenu) {
	    if(!UserPrefs.getPref("bool","ToolsMenu.addLink")) {
		ToolsMenu.setAttribute('hidden',true);
	    } else {
		ToolsMenu.setAttribute('hidden',false);
	    }
	}
    }

}


function duplicatesOptions(){
	var duplicatesWin = window.openDialog('chrome://duplicates/content/Options.xul', 'BookmarksDD-Options', 'chrome,titlebar,toolbar,centerscreen,resizable');	
	duplicatesWin.focus();
	return true;
}//duplicatesOptions()


function duplicatesManage(){
	var duplicatesWin = window.openDialog('chrome://duplicates/content/ManageDuplicates.xul', 'BookmarksDD-ManageDuplicates', 'chrome,alwaysRaised,resizable,centerscreen,dialog=no');	
	duplicatesWin.focus();
	return true;
}//duplicatesManage()
